[DATASET]
dataset_package = decentralizepy.privacy.training.FashionMNIST
dataset_class = FashionMNIST
model_class = CNN
train_dir = /mnt/nfs/shared/FashionMNIST
test_dir = /mnt/nfs/shared/FashionMNIST
; python list of fractions below
sizes = 
random_seed = 90
partition_niid = True
shards = 2

[OPTIMIZER_PARAMS]
optimizer_package = torch.optim
optimizer_class = SGD
lr = 0.01

[TRAIN_PARAMS]
training_package = decentralizepy.training.Training
training_class = Training
rounds = 1
full_epochs = False
batch_size = 8
shuffle = True
loss_package = torch.nn
loss_class = CrossEntropyLoss

[COMMUNICATION]
comm_package = decentralizepy.communication.TCP
comm_class = TCP
addresses_filepath = /home/carevic/decentralizepy/run_configuration/ip_labostrex.json

[SHARING]
sharing_package = decentralizepy.sharing.Sharing
sharing_class = Sharing
mia_attack = False
gradient_inversion_attack = True
lr = 0.01
dataset_stats = [[0.5], [0.5]]
frequency_of_attack = 1

